---
- hosts: nfsserver
  become: yes
  tasks:
    - name: install nfs-utils
      apt:
        name:
          - nfs-common
          - nfs-kernel-server
        state: present
    - name: Create a mountable directory if it does not exist
      file:
        path: /home
        state: directory
        owner: root
        group: root
        mode: '0775'
    - name: Copy exports file.
      template:
        src: ./inventory/exports.j2
        dest: /etc/exports
        owner: root
        group: root
        mode: 0644
      notify: reload nfs
    - name: Ensure nfs is running
      service:
        name: nfs-kernel-server
        state: started
        enabled: yes
